Get Credential NFTs
curl --request GET \
--url https://staging.crossmint.com/api/v1-alpha1/wallets/{walletLocator}/credential_nfts \
--header 'X-API-KEY: <api-key>'import requests
url = "https://staging.crossmint.com/api/v1-alpha1/wallets/{walletLocator}/credential_nfts"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://staging.crossmint.com/api/v1-alpha1/wallets/{walletLocator}/credential_nfts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"$ref": "#/components/examples/CredentialNFTs"
}{
"title": "NotIssuedYet",
"description": "Credential not issued yet, wait for the mint to complete."
}Verifiable Credentials
Get Credential NFTs
Get only the NFTs in a wallet associated with credentials.
This walletLocator will have the format: <chain>:<wallet_address>.
For example: polygon:0x1234abcde...
API scope required credentials.read.
GET
/
v1-alpha1
/
wallets
/
{walletLocator}
/
credential_nfts
Get Credential NFTs
This is an alpha API and subject to change.
Authorizations
Key obtained from the Crossmint developer console, reflecting the API scope granted.
Path Parameters
Wallet on chain locator, in the format of <chain>:<wallet_address>
Query Parameters
Page index
Number of items to display per page
Response
Success.
List of NFTs associated with credentials
Was this page helpful?

